- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Functions

# qevent.h File Reference

`#include <QtGui/qwindowdefs.h>`
`#include <QtCore/qobject.h>`
`#include <QtGui/qregion.h>`
`#include <QtCore/qnamespace.h>`
`#include <QtCore/qstring.h>`
`#include <QtGui/qkeysequence.h>`
`#include <QtCore/qcoreevent.h>`
`#include <QtGui/qmime.h>`
`#include <QtGui/qdrag.h>`
`#include <QtCore/qvariant.h>`
`#include <QtCore/qmap.h>`
`#include <QtCore/qset.h>`

Go to the source code of this file.

## Classes
class | QInputEvent
class | QMouseEvent
class | QHoverEvent
class | QWheelEvent
class | QTabletEvent
class | QKeyEvent
class | QFocusEvent
class | QPaintEvent
class | QUpdateLaterEvent
class | QMoveEvent
class | QResizeEvent
class | QCloseEvent
class | QIconDragEvent
class | QShowEvent
class | QHideEvent
class | QContextMenuEvent
class | QInputMethodEvent
class | QInputMethodEvent::Attribute
class | QDropEvent
class | QDragMoveEvent
class | QDragEnterEvent
class | QDragResponseEvent
class | QDragLeaveEvent
class | QHelpEvent
class | QStatusTipEvent
class | QWhatsThisClickedEvent
class | QActionEvent
class | QFileOpenEvent
class | QToolBarChangeEvent
class | QShortcutEvent
class | QClipboardEvent
class | QWindowStateChangeEvent
class | QTouchEvent
class | QTouchEvent::TouchPoint
class | QGestureEvent
## Functions
Q_GUI_EXPORT QDebug | operator<< (QDebug, const QEvent *)
bool | operator== (QKeyEvent *e, QKeySequence::StandardKey key)
bool | operator== (QKeySequence::StandardKey key, QKeyEvent *e)

## Function Documentation

Q_GUI_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const QEvent * |
| ) |  |

bool operator== | ( | QKeyEvent * | e,
|  | QKeySequence::StandardKey | key
| ) |  | `[inline]`

Definition at line 727 of file qevent.h.

    {return (e ? e->matches(key) : false);}

bool operator== | ( | QKeySequence::StandardKey | key,
|  | QKeyEvent * | e
| ) |  | `[inline]`

Definition at line 728 of file qevent.h.

    {return (e ? e->matches(key) : false);}